"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormWithConstraints = exports.FieldFeedbacks = exports.Async = exports.Input = exports.FieldFeedbackTooltip = exports.FieldFeedback = void 0;
const react_form_with_constraints_1 = require("react-form-with-constraints");
class FieldFeedback extends react_form_with_constraints_1.FieldFeedback {
}
exports.FieldFeedback = FieldFeedback;
FieldFeedback.defaultProps = {
    ...react_form_with_constraints_1.FieldFeedback.defaultProps,
    classes: {
        error: 'invalid-feedback',
        warning: 'warning-feedback',
        info: 'info-feedback',
        whenValid: 'valid-feedback'
    }
};
class FieldFeedbackTooltip extends react_form_with_constraints_1.FieldFeedback {
}
exports.FieldFeedbackTooltip = FieldFeedbackTooltip;
FieldFeedbackTooltip.defaultProps = {
    ...react_form_with_constraints_1.FieldFeedback.defaultProps,
    classes: {
        error: 'invalid-tooltip',
        warning: 'warning-tooltip',
        info: 'info-tooltip',
        whenValid: 'valid-tooltip'
    }
};
class Input extends react_form_with_constraints_1.Input {
}
exports.Input = Input;
Input.defaultProps = {
    classes: {
        isPending: 'is-pending',
        hasErrors: 'is-invalid',
        hasWarnings: 'is-warning',
        hasInfos: 'is-info',
        isValid: 'is-valid'
    }
};
var react_form_with_constraints_2 = require("react-form-with-constraints");
Object.defineProperty(exports, "Async", { enumerable: true, get: function () { return react_form_with_constraints_2.Async; } });
Object.defineProperty(exports, "FieldFeedbacks", { enumerable: true, get: function () { return react_form_with_constraints_2.FieldFeedbacks; } });
Object.defineProperty(exports, "FormWithConstraints", { enumerable: true, get: function () { return react_form_with_constraints_2.FormWithConstraints; } });
